package com.gic.haoban.manage.web.qo.potential;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class PotentialConvOverviewQO extends PotentialOverviewQO {

    private static final long serialVersionUID = -4105397589798480404L;

    public Map<String, Integer> getFieldsOrder() {
        Map<String, Integer> map = new HashMap<>();
        map.put("onlineConnConvsMbrNum", 1);    // 商城转化客户数
        map.put("onlineConnConvsAmt", 2);       // 商城转化金额
        map.put("offlineConnConvsMbrNum", 3);   // 线下转化客户数
        map.put("offlineConnConvsAmt", 4);      // 线下转化金额
        map.put("potCusRdrOnlineConvsMbrNum", 5);       // 潜客雷达商城转化客户数
        map.put("potCusRdrOnlineConvsAmt", 6);          // 潜客雷达商城转化金额
        map.put("potCusRdrOfflineConvsMbrNum", 7);      // 潜客雷达线下转化客户数
        map.put("potCusRdrOfflineConvsAmt", 8);         // 潜客雷达线下转化金额
        return map;
    }

    public String getDefaultFields() {
        return "onlineConnConvsMbrNum";
    }
}
